UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions
umestored_main.h File Reference

Ultra Messaging (UM) Callable Store API. The "umestored_main.h" header file defines the APIs to run a Persistent Store within a user process. The binary code is contained in the "umestore" library (static only on Unix: "libumestorelib.a", dynamic only on Windows: "umestore.dll"). See Callable Store for general information on running a Persistent store within your application process. See Persistence for general information on the Persistent Store. See UM C API for general information on the C API. See Fundamental Concepts for an introduction to Ultra Messaging. More...

Go to the source code of this file.

## Functions
UMEStoreExpDLL int | umestored_main (int argc, char **argv)
| Start the UM persistant store as a set of threads within the calling process. More...
UMEStoreExpDLL void | umestored_main_shutdown ()
| Stop the UM persistant store which is running as a set of threads within the calling process. More...

## Detailed Description

Ultra Messaging (UM) Callable Store API. The "umestored_main.h" header file defines the APIs to run a Persistent Store within a user process. The binary code is contained in the "umestore" library (static only on Unix: "libumestorelib.a", dynamic only on Windows: "umestore.dll"). See Callable Store for general information on running a Persistent store within your application process. See Persistence for general information on the Persistent Store. See UM C API for general information on the C API. See Fundamental Concepts for an introduction to Ultra Messaging.

## Function Documentation

UMEStoreExpDLL int umestored_main | ( | int | argc,
|  | char ** | argv
| ) |  |

Start the UM persistant store as a set of threads within the calling process.

There are many restrictions for using this function; see Callable Store and umestored_example.c.

Parameters

  argc | set to number of valid argv[] elements.
  argv | pointer to array of string pointers representing the command-line parameters to the store. Set argv[0] to the program name, and argv[1] .. argv[argc-1] to the command-line parameters.

Returns
  0 for Success and -1 for Failure.

UMEStoreExpDLL void umestored_main_shutdown | ( |  | ) |

Stop the UM persistant store which is running as a set of threads within the calling process.

There are many restrictions for using this function; see Callable Store and umestored_example.c.

Returns
  0 for Success and -1 for Failure.